Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QTextFormat.PageBreakFlag

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QTextFormat.PageBreakFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QTextFormat

    public static final class QTextFormat.PageBreakFlag

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static QTextFormat.PageBreakFlag` | `PageBreak_AlwaysAfter` A new page is always started after the paragraph/table
`static QTextFormat.PageBreakFlag` | `PageBreak_AlwaysBefore` The page is always broken before the paragraph/table
`static QTextFormat.PageBreakFlag` | `PageBreak_Auto` The page break is determined automatically depending on the available space on the current page

Method Summary
`static QTextFormat.PageBreakFlags` | `createQFlags(QTextFormat.PageBreakFlag[] values)` This function creates a com.trolltech.qt.gui.QTextFormat$PageBreakFlags with the specified `com.trolltech.qt.gui.QTextFormat$PageBreakFlag[]` QTextFormat$PageBreakFlag values set.
`static QTextFormat.PageBreakFlag` | `resolve(int value)` Returns the QTextFormat$PageBreakFlag constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTextFormat.PageBreakFlag` | `valueOf(java.lang.String name)`
`static QTextFormat.PageBreakFlag[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### PageBreak_Auto

    public static final QTextFormat.PageBreakFlag PageBreak_Auto

  The page break is determined automatically depending on the available space on the current page

### PageBreak_AlwaysBefore

    public static final QTextFormat.PageBreakFlag PageBreak_AlwaysBefore

  The page is always broken before the paragraph/table

### PageBreak_AlwaysAfter

    public static final QTextFormat.PageBreakFlag PageBreak_AlwaysAfter

  A new page is always started after the paragraph/table

Method Detail

### values

    public static QTextFormat.PageBreakFlag[] values()

### valueOf

    public static QTextFormat.PageBreakFlag valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QTextFormat.PageBreakFlags createQFlags(QTextFormat.PageBreakFlag[] values)

  This function creates a com.trolltech.qt.gui.QTextFormat$PageBreakFlags with the specified `com.trolltech.qt.gui.QTextFormat$PageBreakFlag[]` QTextFormat$PageBreakFlag values set.

### resolve

    public static QTextFormat.PageBreakFlag resolve(int value)

  Returns the QTextFormat$PageBreakFlag constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD